#define XERR "cron"
#include "cron.ih"

// input:
//      LIST    - already received
//      passphrase
// output:
//      NOK     - invalid passphrase
// or
//      OK
//      d_cronData entries
//      LIST

    // by request.cc, see also sshcron/list

void Cron::list()
{
    if (not verifyPassphrase())
        return;

    *d_out << "OK" << '\n' <<
              d_cronData <<
              "LIST" << endl;
}
